17.10.2018, 10:34 UTC+2

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

knorkeforke

Anfänger

Beiträge: 5

Geschlecht: Männlich

1

12.04.2016, 11:41

Audiogeräte funktienieren nicht unter Skype

Hallo liebe Experten,

ich habe mir vor ein paar tagen das letzte Knoppix auf den Stick gezogen, alles läuft prima bis auf das in der Überschrift benanntes Problem :(
das heißt skype läuft, ich kann chatten und sogar videotelefonie haben, aber ohne Ton und ohne Klänge.



Instalation von Skype hat auch geklappt.
ich habe nach der Lösung im Internet schon gesucht, und ich glaube die Erklärung von der Skype Seite macht Sinn. Irgendwas mit der Pulseaudio-Unterstützung:

https://support.skype.com/de/faq/FA10964…e-fur-linux-an#

ich habe auch versucht das Pulse-Audio wie beschrieben nachzuinstallieren, da kamen aber unzählige Meldungen wegen Abhängigkeiten... Mal schauen ob ich die jetzt wiederfinde...


hier ist ein Zitat der Terminalausgabe:

"
root@Microknoppix:/home/knoppix# apt-get install pulseaudio
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
pulseaudio : Hängt ab von: libpulse0 (= 5.0-13) aber 8.0-2 soll installiert werden
Hängt ab von: pulseaudio-utils soll aber nicht installiert werden
Empfiehlt: pulseaudio-module-x11 soll aber nicht installiert werden
Empfiehlt: rtkit soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
root@Microknoppix:/home/knoppix# apt-get install pavucontrol
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
pavucontrol : Hängt ab von: libatkmm-1.6-1 (>= 2.22.1) soll aber nicht installiert werden
Hängt ab von: libcairomm-1.0-1 (>= 1.6.4) soll aber nicht installiert werden
Hängt ab von: libglibmm-2.4-1c2a (>= 2.42.0) soll aber nicht installiert werden
Hängt ab von: libgtkmm-3.0-1 (>= 3.14.0) soll aber nicht installiert werden
Hängt ab von: libpangomm-1.4-1 (>= 2.27.1) soll aber nicht installiert werden
Hängt ab von: libsigc++-2.0-0c2a (>= 2.2.0) soll aber nicht installiert werden
Empfiehlt: pulseaudio soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
"

was tun?

klaus2008

Meister

Beiträge: 2 695

Geschlecht: Männlich

2

12.04.2016, 22:50

Hallo!

Ich würde folgendes ausprobieren:

Quellcode

1
2
3
4
sudo apt-get update
sudo apt-get -t testing install pulseaudio
sudo apt-get -t testing install pavumeter pavucontrol paman paprefs
pulseaudio -D 
Danach sollte man im Menü->Unterhaltungsmedien Hilfprogramme für die Benutzung von pulseaudio finden.

Gruß
Klaus

knorkeforke

Anfänger

Beiträge: 5

Geschlecht: Männlich

3

13.04.2016, 11:51

Gelöst!

Supervielendank!

hat alles funktioniert. jetzt geht's!

Gruß

Jevgenij

knorkeforke

Anfänger

Beiträge: 5

Geschlecht: Männlich

4

28.04.2016, 21:31

die alte Lösung geht leider nicht mehr :(

komisch. noch vor 2 Wochen ging das alles.

jetzt fühlt sich das technisch wie vor allen Manipulationen davor.

das wiederholte ausführen des quellcode von klaus2008 hat ausgegeben, das 0 Pakete neu installiert oder aktualisiert wurden und es hat sich nichts geändert.

In den Optionen/Audiogeräte von Skype
gibt es wieder keine Auswahl außer "virtual device"

was kann ich hier dagegen tun?
:S

5

04.05.2016, 10:41

Hallo,

vielleicht läuft pulseaudio nicht?
Kannst Du im Terminal prüfen mit

Quellcode

1
pulseaudio --check -v  

Dann ggf. starten mit

Quellcode

1
 pulseaudio --start  


MfG

Ähnliche Themen

Linux HardwareLinux Computer & PCs | Linux Notebooks & Laptops | Geek Shirts | Geek und Nerd Shirt Shop